Description

currently, only "raw" plain PHP constants can be used in YAML files, like %FLOW3_PATH_FLOW3%.
IMHO nothing speaks against allowing class constants to be used here, too.

Associated revisions
Revision 50832abe - 2012-11-08 11:02 - Adrian Föder

[FEATURE] Allow class constants in Configuration

Currently, only plain PHP constants are allowed for substitution in
Configuration files. This changes the regular expression in order to
match class constants too.

So not only ``%PHP_VERSION%`` would be possible, but also, for example,
``%TYPO3\FLOW3\Core\Bootstrap::MINIMUM_PHP_VERSION%``.

Change-Id: I50aa1eb3d079b011d79e6c7255559257ae683204
Resolves: #41358
Releases: 1.2

History
#1 - 2012-09-26 10:42 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15074

#2 - 2012-10-09 15:53 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15074

#3 - 2012-11-08 11:03 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15074
#4 - 2012-11-08 15:35 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:50832abe17af1b8c37eb4fa84d0d87d8039c7a3f.
